Skip to main content
GET
/
api
/
v1
/
campaigns
/
{campaign_id}
Get Campaigns Details
curl --request GET \
  --url https://api.kollie.ai/api/v1/campaigns/{campaign_id} \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.kollie.ai/api/v1/campaigns/{campaign_id}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.kollie.ai/api/v1/campaigns/{campaign_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "Data got correctly",
  "meta": {},
  "data": {
    "name": "<string>",
    "end_date": "2023-11-07T05:31:56Z",
    "start_time": "<string>",
    "end_time": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "draft",
    "start_date": "2023-11-07T05:31:56Z",
    "phone_numbers": [],
    "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "additional_params": {}
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

X-API-Key
string
header
required

Path Parameters

campaign_id
string<uuid>
required

Response

Successful Response

message
string | null
default:Data got correctly
meta
Meta · object | null
data
ICampaignRead · object | null